Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoControl Class Reference
GoSdk/Internal

## Description

Represents a set of sensor command connections (control, upgrade).

Inheritance diagram for GoControl:

## Public Member Functions
kStatus | GoControl_AssignBuddies (GoControl control, const k32u *buddyIds, kSize count)
| Start assigning multiple buddy sensors. More...
kStatus | GoControl_Backup (GoControl control, kByte **fileData, kSize *size, kAlloc allocator)
| Creates and downloads a backup of sensor files. More...
kStatus | GoControl_BeginAlignment (GoControl control)
| Sends a alignment command to a sensor, but doesn't wait for the response. More...
kStatus | GoControl_BeginExposureAutoSet (GoControl control, GoRole role)
| Sends an exposure auto set command to a sensor, but doesn't wait for the response. More...
kStatus | GoControl_BeginScheduledStart (GoControl control, k64s value)
| Sends a scheduled start command to a sensor with the currently selected input source, but doesn't wait for the response. More...
kStatus | GoControl_BeginSnapshot (GoControl control)
| Sends a snapshot command to a sensor with the currently selected input source, but doesn't wait for the response. More...
kStatus | GoControl_BeginStart (GoControl control)
| Sends a start command to a sensor with the currently selected input source, but doesn't wait for the response. More...
kStatus | GoControl_BeginStop (GoControl control)
| Sends a stop command to a sensor, but doesn't wait for the response. More...
kStatus | GoControl_BeginUpgrade (GoControl control, void *data, kSize size)
| Begins a sensor firmware upgrade. More...
kStatus | GoControl_ChangeBuddy (GoControl control, kBool add, k32u buddyId)
| Assigns or removes a buddy sensor. More...
kStatus | GoControl_ChangePassword (GoControl control, GoUser user, const kChar *password)
| Changes the password associated with the specified user account. More...
kStatus | GoControl_ClearAlignment (GoControl control)
| Clears the sensor alignment. More...
kStatus | GoControl_ClearLog (GoControl control)
| Clears the sensor log file. More...
kStatus | GoControl_ClearMeasurementStats (GoControl control)
| Clear the sensor's measurement statistics. More...
kStatus | GoControl_ClearReplayData (GoControl control)
| Clear the sensor's replay data. More...
kStatus | GoControl_Close (GoControl control)
| Closes all open command connections. More...
kStatus | GoControl_Construct (GoControl *control, kAlloc allocator)
| Constructs a GoControl object. More...
k32u | GoControl_ControlPort (GoControl control)
| Returns the control port number. More...
kStatus | GoControl_CopyFile (GoControl control, const kChar *source, const kChar *destination)
| Copies a file within the connected sensor. More...
kStatus | GoControl_DeleteFile (GoControl control, const kChar *fileName)
| Deletes a file within the connected sensor. More...
kStatus | GoControl_EndAlignment (GoControl control)
| Waits for a alignment response from a sensor. More...
kStatus | GoControl_EndExposureAutoSet (GoControl control)
| Waits for a exposure auto set response from a sensor. More...
kStatus | GoControl_EndScheduledStart (GoControl control)
| Waits for a scheduled start response from a sensor. More...
kStatus | GoControl_EndSnapshot (GoControl control)
| Waits for a snapshot response from a sensor. More...
kStatus | GoControl_EndStart (GoControl control)
| Waits for a start response from a sensor. More...
kStatus | GoControl_EndStop (GoControl control)
| Waits for a stop response from a sensor. More...
kStatus | GoControl_ExportBitmap (GoControl control, GoReplayExportSourceType type, GoDataSource source, const kChar *dstFileName)
| Export an intensity bitmap file to local storage. More...
kStatus | GoControl_ExportCsv (GoControl control, const kChar *dstFileName)
| Export a CSV file to local storage. More...
kStatus | GoControl_GetAlignmentReference (GoControl control, GoAlignmentRef *reference)
| Gets the alignment reference for a sensor. More...
kStatus | GoControl_GetAutoStartEnabled (GoControl control, kBool *enabled)
| Returns the state of sensor AutoStart. More...
kStatus | GoControl_GetDefaultJob (GoControl control, kChar *fileName, kSize capacity)
| Gets the name of the default job file to be loaded on boot. More...
kStatus | GoControl_GetEncoder (GoControl control, k64s *encoder)
| Gets the current system encoder value. More...
kStatus | GoControl_GetFlag (GoControl control, const kChar *name, kString value)
| Gets a sensor flag value. More...
kStatus | GoControl_GetInputSource (GoControl control, GoInputSource *source)
| Gets the sensor's data input source. More...
kStatus | GoControl_GetLoadedJob (GoControl control, kChar *fileName, kSize capacity, kBool *isModified)
| Gets the name of the loaded job file and whether it has been modified since loading. More...
kStatus | GoControl_GetQuickEditEnabled (GoControl control, kBool *enabled)
| Returns the state of sensor Quick Edit. More...
kStatus | GoControl_GetRecordingEnabled (GoControl control, kBool *enabled)
| Gets the sensor's recording state. More...
kStatus | GoControl_GetRuntimeVariables (GoControl control, kSize startIndex, kSize length, k32s *values)
| Gets one or more runtime variables. More...
kStatus | GoControl_GetScanMode (GoControl control, GoMode *mode)
| Gets the sensor's scan mode. More...
kStatus | GoControl_GetSensorInfo (GoControl control, GoSensorInfo localInfo, kArrayList remoteInfoList)
| Gets current sensor state information. More...
kStatus | GoControl_GetSensorInfoV2 (GoControl control, GoSensorInfo localInfo, kArrayList remoteInfoList, kArrayList buddyInfoList)
| Gets current sensor state information. More...
kStatus | GoControl_GetStates (GoControl control, GoStates *states)
| Retrieves a set of various sensor states for the sensor associated with the control connection. More...
kStatus | GoControl_GetTimestamp (GoControl control, k64u *time)
| Gets the current time stamp value(common among all synchronized sensors). More...
kStatus | GoControl_GetUpgradeStatus (GoControl control, kBool *complete, kBool *succeeded, k32s *progress)
| Polls for upgrade status. More...
kStatus | GoControl_GetUserStorageFree (GoControl control, k64u *spaceAvailable)
| Gets the available storage space remaining for user files. More...
kStatus | GoControl_GetUserStorageUsed (GoControl control, k64u *spaceUsed)
| Gets the storage space used for user files. More...
kStatus | GoControl_GetVoltage (GoControl control, GoVoltageSetting *voltage, k32u *cableLength)
| Get the sensor voltage settings (only on G3210) More...
kBool | GoControl_IsCompatible (GoControl control)
| Reports whether the GoControl object is compatible with the sensor firmware. More...
kBool | GoControl_IsConnected (GoControl control)
| Reports whether the control object has been opened. More...
kStatus | GoControl_Login (GoControl control, GoUser user, const kChar *password)
| Logs into the sensor using the specified user name and password. More...
kStatus | GoControl_Open (GoControl control, kIpAddress address, k32u controlPort, k32u upgradePort)
| Opens connections to the specified sensor IP address. More...
kStatus | GoControl_PlaybackPosition (GoControl control, kSize *position, kSize *count)
| Get the current frame position in a replay. More...
kStatus | GoControl_PlaybackSeek (GoControl control, kSize position)
| Seek to the specified frame position for a replay. More...
kStatus | GoControl_PlaybackStep (GoControl control, GoSeekDirection direction)
| Advance one frame in a replay. More...
kVersion | GoControl_ProtocolVersion (GoControl control)
| Gets the connected sensor's protocol version. More...
kStatus | GoControl_ReadFile (GoControl control, const kChar *fileName, kByte **data, kSize *size, kAlloc allocator)
| Reads a file from the connected sensor. More...
kStatus | GoControl_ReadFileList (GoControl control, kArrayList files, const kChar *extensionFilter)
| Reads the list of available sensor files. More...
kStatus | GoControl_RemoveBuddies (GoControl control, const k32u *buddyIndices, kSize count)
| Remove multiple buddy sensors. More...
kStatus | GoControl_RemoveBuddiesById (GoControl control, const k32u *buddyIds, kSize count)
| Remove multiple buddy sensors. More...
kStatus | GoControl_Reset (GoControl control)
| Reboots the main sensor and any connected buddy sensors. More...
kStatus | GoControl_ResetEncoder (GoControl control)
| Resets the encoder value. More...
kStatus | GoControl_Restore (GoControl control, const kByte *fileData, kSize size)
| Restores a backup of sensor files. More...
kStatus | GoControl_RestoreFactory (GoControl control, kBool restoreAddress)
| Restores factory default settings. More...
kStatus | GoControl_RuntimeVariableCount (GoControl control, kSize *count)
| Gets the number of available runtime variables. More...
kStatus | GoControl_ScheduleAnalog (GoControl control, k16u index, k64s target, k32s value)
| Schedules an analog output. More...
kStatus | GoControl_ScheduleDigital (GoControl control, k16u index, k64s target, k8u value)
| Schedules a digital output. More...
kStatus | GoControl_SetAlignmentReference (GoControl control, GoAlignmentRef reference)
| Sets the alignment reference for a sensor. More...
kStatus | GoControl_SetAutoStartEnabled (GoControl control, kBool enable)
| Enable or disable sensor AutoStart. More...
kStatus | GoControl_SetCancelHandler (GoControl control, kCallbackFx function, kPointer receiver)
| Sets an I/O cancellation query handler for this control object. More...
kStatus | GoControl_SetControlPort (GoControl control, k32u port)
| Sets the control port number. More...
kStatus | GoControl_SetDefaultJob (GoControl control, const kChar *fileName)
| Sets a default job file to be loaded on boot. More...
kStatus | GoControl_SetFlag (GoControl control, const kChar *name, const kChar *value)
| Sets a sensor flag value. More...
kStatus | GoControl_SetInputSource (GoControl control, GoInputSource source)
| Sets the sensor's data input source. More...
kStatus | GoControl_SetQuickEditEnabled (GoControl control, kBool enable)
| Enable or disable sensor Quick Edit. More...
kStatus | GoControl_SetRecordingEnabled (GoControl control, kBool enable)
| Enables recording on the sensor. More...
kStatus | GoControl_SetRuntimeVariables (GoControl control, kSize startIndex, kSize length, const k32s *values)
| Sets one or more runtime variables. More...
kStatus | GoControl_SetUpgradePort (GoControl control, k32u port)
| Sets the upgrade Port Number. More...
kStatus | GoControl_SetVoltage (GoControl control, GoVoltageSetting voltage, k32u cableLength)
| Set sensor voltage settings (only on G3210) More...
kStatus | GoControl_Simulate (GoControl control, kBool *isBufferValid)
| Simulate the current frame stored on the sensor's live replay buffer. More...
kStatus | GoControl_Trigger (GoControl control)
| Sends a software trigger to the sensor. More...
k32u | GoControl_UpgradePort (GoControl control)
| Returns the upgrade Port Number. More...
kStatus | GoControl_WriteFile (GoControl control, const kChar *fileName, const kByte *data, kSize size)
| Writes a file to the connected sensor. More...

The documentation for this class was generated from the following file:

- Internal/GoControl.h